#include <kwineffects.h>

#include "multitaskviewmanager.h"

class MultitaskViewManagerPluginFactory : public KWin::EffectPluginFactory
{
    Q_OBJECT

    Q_INTERFACES(KPluginFactory)

    Q_PLUGIN_METADATA(IID EffectPluginFactory_iid FILE "windowsview.json")

public:

    MultitaskViewManagerPluginFactory() {}

    ~MultitaskViewManagerPluginFactory() override {}

    KWin::Effect* createEffect() const override
    {
        return new MultitaskView::MultitaskViewManager();
    }

};

K_EXPORT_PLUGIN_VERSION(KWIN_EFFECT_API_VERSION)

#include "multitaskviewmanagerpluginfactory.moc"
